petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCMGGetSmootherDown

Gets the KSP context to be used as smoother before coarse grid correction (pre-smoother).

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGGetSmootherDown(PC pc,PetscInt l,KSP *ksp)

Not Collective, KSP returned is parallel if PC is

### Input Parameters

| pc | - the multigrid context
| l | - the level (0 is coarsest) to supply

### Ouput Parameters

ksp -the smoother

Notes: calling this will result in a different pre and post smoother so you may need to set options on the post smoother also

### Keywords

MG, multigrid, get, smoother, down, pre-smoother, level

### See Also

PCMGGetSmootherUp(), PCMGGetSmoother()

Level:advanced
Location:src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages